Ubuntu-RS forumi
Problem sa apache server i phpmyadmin? - Verzija za Štampu

+- Ubuntu-RS forumi (http://forum.ubuntu-rs.org)
+-- Forum: Arhiva (/Forum-arhiva)
+--- Forum: Izdanja kojima je istekla podrška (/Forum-izdanja-kojima-je-istekla-podrska)
+---- Forum: Ubuntu 16.10 Yakkety Yak (/Forum-ubuntu-16-10-yakkety-yak)
+----- Forum: Ubuntu 16.10 Yakkety Yak: Softver (/Forum-ubuntu-16-10-yakkety-yak-softver)
+----- Tema: Problem sa apache server i phpmyadmin? (/Thread-problem-sa-apache-server-i-phpmyadmin)



Problem sa apache server i phpmyadmin? - Gale85 - 17.04.2017. 16.30

Instalirao sam apache server i phpmyadmin i kad dodjem do polja za logovanje na phpmyadmin i kad pokusam da se logujem sa lozinkom koju sam postavio dobijem ovakvu poruku (poruka je na slici)

(17.04.2017. 16.30 )Gale85 Piše:  Instalirao sam apache server i phpmyadmin i kad dodjem do polja za logovanje na phpmyadmin i kad pokusam da se logujem sa lozinkom koju sam postavio dobijem ovakvu poruku (poruka je na slici)
Inace pokusao sam da instaliram phpmyadmin ovim komandama
Kod:
sudo apt-get install phpmyadmin php-mbstring php-gettext
Ubuntu je 16.10 32-bit.
Nije dozvoljeno ostavljati prilepke na našem server-u. Obrisani. Pročitajte: http://forum.ubuntu-rs.org/Thread-kako-postaviti-sliku-u-poruku-na-forumu


RE: Problem sa apache server i phpmyadmin? - Githzerai - 17.04.2017. 16.32

Pa gde ti je mysql?


RE: Problem sa apache server i phpmyadmin? - Gale85 - 17.04.2017. 16.33

aha sta tacno kucam za njega?


RE: Problem sa apache server i phpmyadmin? - Githzerai - 17.04.2017. 16.40

Uđi u terminal, kucaj
Kod:
sudo tasksel install lamp-server
to će sve samo odraditi.


RE: Problem sa apache server i phpmyadmin? - Gale85 - 17.04.2017. 18.03

Kod:
sudo apt-get install lamp-server
Kod:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package lamp-server



RE: Problem sa apache server i phpmyadmin? - promis - 17.04.2017. 18.15

Ne sa apt-get, nego sa tasksel.
Sa apt-get ide ovako
Kod:
sudo apt-get install lamp-server^



RE: Problem sa apache server i phpmyadmin? - Gale85 - 17.04.2017. 18.22

Kod:
sudo apt-get install lamp-server
Kod:
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
sudo tasksel install lamp-server
Kod:
sudo: tasksel: command not found

Uspeo sam sa ovom komandom
Kod:
sudo apt-get install lamp-server^
trebalo je samo da zatvorim synaptic. Hvala na pomoci.


RE: Problem sa apache server i phpmyadmin? - djukob - 17.04.2017. 21.28

Evo uputsva za instalaciju Lamp-a.


RE: Problem sa apache server i phpmyadmin? - Gale85 - 22.04.2017. 16.58

Sad mi se javio novi problem. Pre nego da se logujem u phpmyadmin dobijem imam da biram servere localhost i localhost:3306. Kako da izbacim to? Kad izaberem localhost imam upozorenje kao na slici 1 a kad izaberem localhost:3306 dobijem poruku kao na drugoj slici

Samo da napomenem ako vam nesto znaci da sam otvarao /etc/phpmyadmin/config.inc.php i tu sam menjao neke stvari evo fajla
Kod:
<?php
/**
* Debian local configuration file
*
* This file overrides the settings made by phpMyAdmin interactive setup
* utility.
*
* For example configuration see
*   /usr/share/doc/phpmyadmin/examples/config.sample.inc.php
* or
*   /usr/share/doc/phpmyadmin/examples/config.manyhosts.inc.php
*
* NOTE: do not add security sensitive data to this file (like passwords)
* unless you really know what you're doing. If you do, any user that can
* run PHP or CGI on your webserver will be able to read them. If you still
* want to do this, make sure to properly secure the access to this file
* (also on the filesystem level).
*/

if (!function_exists('check_file_access')) {
    function check_file_access($path)
    {
        if (is_readable($path)) {
            return true;
        } else {
            error_log(
                'phpmyadmin: Failed to load ' . $path
                . ' Check group www-data has read access and open_basedir restrictions.'
            );
            return false;
        }
    }
}

// Load secret generated on postinst
if (check_file_access('/var/lib/phpmyadmin/blowfish_secret.inc.php')) {
    require('/var/lib/phpmyadmin/blowfish_secret.inc.php');
}

// Load autoconf local config
if (check_file_access('/var/lib/phpmyadmin/config.inc.php')) {
    require('/var/lib/phpmyadmin/config.inc.php');
}

/**
* Server(s) configuration
*/
$i = 0;
// The $cfg['Servers'] array starts with $cfg['Servers'][1].  Do not use $cfg['Servers'][0].
// You can disable a server config entry by setting host to ''.
$i++;

/**
* Read configuration from dbconfig-common
* You can regenerate it using: dpkg-reconfigure -plow phpmyadmin
*/
if (check_file_access('/etc/phpmyadmin/config-db.php')) {
    require('/etc/phpmyadmin/config-db.php');
}

/* Configure according to dbconfig-common if enabled */
if (!empty($dbname)) {
    /* Authentication type */
    $cfg['Servers'][$i]['auth_type'] = 'cookie';
    /* Server parameters */
    if (empty($dbserver)) $dbserver = 'localhost';
    $cfg['Servers'][$i]['host'] = $dbserver;

    if (!empty($dbport) || $dbserver != 'localhost') {
        $cfg['Servers'][$i]['connect_type'] = 'tcp';
        $cfg['Servers'][$i]['port'] = $dbport;
    }
    //$cfg['Servers'][$i]['compress'] = false;
    /* Select mysqli if your server has it */
    $cfg['Servers'][$i]['extension'] = 'mysqli';
    /* Optional: User for advanced features */
    //$cfg['Servers'][$i]['controluser'] = $dbuser;
    //$cfg['Servers'][$i]['controlpass'] = $dbpass;
    /* Optional: Advanced phpMyAdmin features */
    //$cfg['Servers'][$i]['pmadb'] = $dbname;
    $cfg['Servers'][$i]['bookmarktable'] = 'pma__bookmark';
    $cfg['Servers'][$i]['relation'] = 'pma__relation';
    $cfg['Servers'][$i]['table_info'] = 'pma__table_info';
    $cfg['Servers'][$i]['table_coords'] = 'pma__table_coords';
    $cfg['Servers'][$i]['pdf_pages'] = 'pma__pdf_pages';
    $cfg['Servers'][$i]['column_info'] = 'pma__column_info';
    $cfg['Servers'][$i]['history'] = 'pma__history';
    $cfg['Servers'][$i]['table_uiprefs'] = 'pma__table_uiprefs';
    $cfg['Servers'][$i]['tracking'] = 'pma__tracking';
    $cfg['Servers'][$i]['userconfig'] = 'pma__userconfig';
    $cfg['Servers'][$i]['recent'] = 'pma__recent';
    $cfg['Servers'][$i]['favorite'] = 'pma__favorite';
    $cfg['Servers'][$i]['users'] = 'pma__users';
    $cfg['Servers'][$i]['usergroups'] = 'pma__usergroups';
    $cfg['Servers'][$i]['navigationhiding'] = 'pma__navigationhiding';
    $cfg['Servers'][$i]['savedsearches'] = 'pma__savedsearches';
    $cfg['Servers'][$i]['central_columns'] = 'pma__central_columns';
    $cfg['Servers'][$i]['designer_settings'] = 'pma__designer_settings';
    $cfg['Servers'][$i]['export_templates'] = 'pma__export_templates';

    /* Uncomment the following to enable logging in to passwordless accounts,
     * after taking note of the associated security risks. */
    $cfg['Servers'][$i]['AllowNoPassword'] = TRUE;

    /* Advance to next server for rest of config */
    $i++;
}

/* Authentication type */
//$cfg['Servers'][$i]['auth_type'] = 'cookie';
/* Server parameters */
//$cfg['Servers'][$i]['host'] = 'localhost';
//$cfg['Servers'][$i]['connect_type'] = 'tcp';
//$cfg['Servers'][$i]['compress'] = false;
/* Uncomment the following to enable logging in to passwordless accounts,
* after taking note of the associated security risks. */
//$cfg['Servers'][$i]['AllowNoPassword'] = TRUE;

/**
* phpMyAdmin configuration storage settings.
*/

/* User used to manipulate with storage */
//$cfg['Servers'][$i]['controlhost'] = '';
//$cfg['Servers'][$i]['controlport'] = '';
// $cfg['Servers'][$i]['controluser'] = 'pma';
// $cfg['Servers'][$i]['controlpass'] = 'pmapass';

/* Storage database and tables */
// $cfg['Servers'][$i]['pmadb'] = 'phpmyadmin';
// $cfg['Servers'][$i]['bookmarktable'] = 'pma__bookmark';
// $cfg['Servers'][$i]['relation'] = 'pma__relation';
// $cfg['Servers'][$i]['table_info'] = 'pma__table_info';
// $cfg['Servers'][$i]['table_coords'] = 'pma__table_coords';
// $cfg['Servers'][$i]['pdf_pages'] = 'pma__pdf_pages';
// $cfg['Servers'][$i]['column_info'] = 'pma__column_info';
// $cfg['Servers'][$i]['history'] = 'pma__history';
// $cfg['Servers'][$i]['table_uiprefs'] = 'pma__table_uiprefs';
// $cfg['Servers'][$i]['tracking'] = 'pma__tracking';
// $cfg['Servers'][$i]['userconfig'] = 'pma__userconfig';
// $cfg['Servers'][$i]['recent'] = 'pma__recent';
// $cfg['Servers'][$i]['favorite'] = 'pma__favorite';
// $cfg['Servers'][$i]['users'] = 'pma__users';
// $cfg['Servers'][$i]['usergroups'] = 'pma__usergroups';
// $cfg['Servers'][$i]['navigationhiding'] = 'pma__navigationhiding';
// $cfg['Servers'][$i]['savedsearches'] = 'pma__savedsearches';
// $cfg['Servers'][$i]['central_columns'] = 'pma__central_columns';
// $cfg['Servers'][$i]['designer_settings'] = 'pma__designer_settings';
// $cfg['Servers'][$i]['export_templates'] = 'pma__export_templates';
/* Contrib / Swekey authentication */
// $cfg['Servers'][$i]['auth_swekey_config'] = '/etc/swekey-pma.conf';

/*
* End of servers configuration
*/

/*
* Directories for saving/loading files from server
*/
$cfg['UploadDir'] = '';
$cfg['SaveDir'] = '';

/* Support additional configurations */
foreach (glob('/etc/phpmyadmin/conf.d/*.php') as $filename)
{
    include($filename);
}

Sad sam nekako obrisao jedan server i pojavljuje mi se samo ova poruka na prvoj slici. Evo sta sam menjao
Kod:
//$cfg['Servers'][$i]['controluser'] = $dbuser;
    //$cfg['Servers'][$i]['controlpass'] = $dbpass;
//$cfg['Servers'][$i]['pmadb'] = $dbname;
Ove linije koda nisu bili komentari nego sam ja stavio tako
Kod:
$cfg['Servers'][$i]['AllowNoPassword'] = TRUE;
Ovo je prethodno bio komentar ali sam i to promenio. Sad jos samo ovu sitnicu da resim ovu poruku sto izbacuje na prvoj slici.
Nije dozvoljeno ostavljati prilepke na našem server-u. Obrisani. Pročitajte: http://forum.ubuntu-rs.org/Thread-kako-postaviti-sliku-u-poruku-na-forumu
Resio sam problem, samo sam kliknuo na "Find out why" i on odveo tamo gde treba. Onda sam kliknuo i on odradio sve sto treba sad nema nikakva upozorenja. Hvala svima koji se trude da mi pomognu.
Opet mi se javio problem kad idem na localhost/phpmydmin i onda imam ono polje za username i pw ukucam tu tacno sve odna dobijem ovo obavestenje iznad
Kod:
#2002 - No such file or directory &mdash; The server is not responding (or the local server's socket is not correctly configured).
a ispod ovo
Kod:
mysqli_real_connect(): (HY000/2002): No such file or directory
Kako ovo da resim?


RE: Problem sa apache server i phpmyadmin? - zika - 04.06.2017. 07.12

(22.04.2017. 16.58 )Gale85 Piše:  Opet mi se javio problem kad idem na localhost/phpmydmin i onda imam ono polje za username i pw ukucam tu tacno sve odna dobijem ovo obavestenje iznad
Kod:
#2002 - No such file or directory &mdash; The server is not responding (or the local server's socket is not correctly configured).
a ispod ovo
Kod:
mysqli_real_connect(): (HY000/2002): No such file or directory
Kako ovo da resim?
Piše li u log-u koji file mu je nedostupan?


RE: Problem sa apache server i phpmyadmin? - Gale85 - 04.06.2017. 09.22

Koja je putanja tog log fajla?
Evo linka da bi vam bilo jasnije koji je problem u pitanju. Inace takvu poruku dobijem tek kad unesem user name i pw za logovanje na mysql bazu.
Poukusao sam ponovo da instaliram lamp server ovom komandom
Kod:
sudo apt-get install lamp-server^
i evo sta dobijem kao rezultat
Kod:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Note, selecting 'libhttp-message-perl' for task 'lamp-server'
Note, selecting 'libencode-locale-perl' for task 'lamp-server'
Note, selecting 'php7.0-cli' for task 'lamp-server'
Note, selecting 'mysql-client-5.7' for task 'lamp-server'
Note, selecting 'libevent-core-2.0-5' for task 'lamp-server'
Note, selecting 'libapache2-mod-php' for task 'lamp-server'
Note, selecting 'rename' for task 'lamp-server'
Note, selecting 'mysql-server-5.7' for task 'lamp-server'
Note, selecting 'php-common' for task 'lamp-server'
Note, selecting 'libaprutil1' for task 'lamp-server'
Note, selecting 'mysql-server' for task 'lamp-server'
Note, selecting 'php7.0-opcache' for task 'lamp-server'
Note, selecting 'libcgi-fast-perl' for task 'lamp-server'
Note, selecting 'libwrap0' for task 'lamp-server'
Note, selecting 'libhttp-date-perl' for task 'lamp-server'
Note, selecting 'perl-modules-5.24' for task 'lamp-server'
Note, selecting 'liblwp-mediatypes-perl' for task 'lamp-server'
Note, selecting 'libfcgi-perl' for task 'lamp-server'
Note, selecting 'libcgi-pm-perl' for task 'lamp-server'
Note, selecting 'libaprutil1-dbd-sqlite3' for task 'lamp-server'
Note, selecting 'php7.0-common' for task 'lamp-server'
Note, selecting 'libaio1' for task 'lamp-server'
Note, selecting 'libio-html-perl' for task 'lamp-server'
Note, selecting 'ssl-cert' for task 'lamp-server'
Note, selecting 'apache2-data' for task 'lamp-server'
Note, selecting 'libperl5.24' for task 'lamp-server'
Note, selecting 'libapr1' for task 'lamp-server'
Note, selecting 'libaprutil1-ldap' for task 'lamp-server'
Note, selecting 'libhtml-tagset-perl' for task 'lamp-server'
Note, selecting 'mysql-client-core-5.7' for task 'lamp-server'
Note, selecting 'php7.0-json' for task 'lamp-server'
Note, selecting 'php7.0-readline' for task 'lamp-server'
Note, selecting 'tcpd' for task 'lamp-server'
Note, selecting 'liblua5.2-0' for task 'lamp-server'
Note, selecting 'mysql-common' for task 'lamp-server'
Note, selecting 'libhtml-template-perl' for task 'lamp-server'
Note, selecting 'libtimedate-perl' for task 'lamp-server'
Note, selecting 'apache2-bin' for task 'lamp-server'
Note, selecting 'perl' for task 'lamp-server'
Note, selecting 'apache2' for task 'lamp-server'
Note, selecting 'php-mysql' for task 'lamp-server'
Note, selecting 'apache2-utils' for task 'lamp-server'
Note, selecting 'libhtml-parser-perl' for task 'lamp-server'
Note, selecting 'libapache2-mod-php7.0' for task 'lamp-server'
Note, selecting 'liburi-perl' for task 'lamp-server'
Note, selecting 'mysql-server-core-5.7' for task 'lamp-server'
Note, selecting 'php7.0-mysql' for task 'lamp-server'
libaio1 is already the newest version (0.3.110-3).
libapache2-mod-php is already the newest version (1:7.0+49).
libapr1 is already the newest version (1.5.2-5).
libaprutil1 is already the newest version (1.5.4-3).
libaprutil1-dbd-sqlite3 is already the newest version (1.5.4-3).
libaprutil1-ldap is already the newest version (1.5.4-3).
libcgi-fast-perl is already the newest version (1:2.12-1).
libcgi-pm-perl is already the newest version (4.35-1).
libencode-locale-perl is already the newest version (1.05-1).
libevent-core-2.0-5 is already the newest version (2.0.21-stable-3).
libfcgi-perl is already the newest version (0.78-2).
libhtml-parser-perl is already the newest version (3.72-3).
libhtml-tagset-perl is already the newest version (3.20-3).
libhtml-template-perl is already the newest version (2.95-2).
libhttp-date-perl is already the newest version (6.02-1).
libhttp-message-perl is already the newest version (6.11-1).
libio-html-perl is already the newest version (1.001-1).
liblua5.2-0 is already the newest version (5.2.4-1.1build1).
liblwp-mediatypes-perl is already the newest version (6.02-1).
libperl5.24 is already the newest version (5.24.1-2ubuntu1).
libtimedate-perl is already the newest version (2.3000-2).
liburi-perl is already the newest version (1.71-1).
libwrap0 is already the newest version (7.6.q-26).
mysql-common is already the newest version (5.8+1.0.2ubuntu1).
perl is already the newest version (5.24.1-2ubuntu1).
perl-modules-5.24 is already the newest version (5.24.1-2ubuntu1).
php-common is already the newest version (1:49).
php-mysql is already the newest version (1:7.0+49).
rename is already the newest version (0.20-4).
ssl-cert is already the newest version (1.0.38).
tcpd is already the newest version (7.6.q-26).
apache2 is already the newest version (2.4.25-3ubuntu2.1).
apache2-bin is already the newest version (2.4.25-3ubuntu2.1).
apache2-data is already the newest version (2.4.25-3ubuntu2.1).
apache2-utils is already the newest version (2.4.25-3ubuntu2.1).
libapache2-mod-php7.0 is already the newest version (7.0.18-0ubuntu0.17.04.1).
mysql-client-5.7 is already the newest version (5.7.18-0ubuntu0.17.04.1).
mysql-client-core-5.7 is already the newest version (5.7.18-0ubuntu0.17.04.1).
mysql-server is already the newest version (5.7.18-0ubuntu0.17.04.1).
mysql-server-5.7 is already the newest version (5.7.18-0ubuntu0.17.04.1).
mysql-server-core-5.7 is already the newest version (5.7.18-0ubuntu0.17.04.1).
php7.0-cli is already the newest version (7.0.18-0ubuntu0.17.04.1).
php7.0-common is already the newest version (7.0.18-0ubuntu0.17.04.1).
php7.0-json is already the newest version (7.0.18-0ubuntu0.17.04.1).
php7.0-mysql is already the newest version (7.0.18-0ubuntu0.17.04.1).
php7.0-opcache is already the newest version (7.0.18-0ubuntu0.17.04.1).
php7.0-readline is already the newest version (7.0.18-0ubuntu0.17.04.1).
0 upgraded, 0 newly installed, 0 to remove and 45 not upgraded.
Kako da resim ovo?


RE: Problem sa apache server i phpmyadmin? - zika - 12.07.2017. 07.04

(04.06.2017. 09.22 )Gale85 Piše:  Kako da resim ovo?
Šta? Ako želite reinstall određenog package dovoljno je apt-u to i (posebno) zatražiti prekidačem (--reinstall) za postupak install.


RE: Problem sa apache server i phpmyadmin? - Gale85 - 14.07.2017. 19.00

Mene ovo buni
Kod:
Note, selecting 'apache2-utils' for task 'lamp-server'
Note, selecting 'libhtml-parser-perl' for task 'lamp-server'
Note, selecting 'libapache2-mod-php7.0' for task 'lamp-server'
Note, selecting 'liburi-perl' for task 'lamp-server'
Da li to tako treba posto se ranije to nije pojavljivalo? Uradio sam reinstal i sad je sve ok osim poruke koju dobijem kad se ulogujem na phpmyadmin
Kod:
The secret passphrase in configuration (blowfish_secret) is too short.
Ja kolko kapiram lozinka mi je isuvise kratka samo da je promenim i to ce da se resi. Jel sam u pravu ili je nesto drugo u pitanju?